// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: VelocityStateDefinition.proto

package ru.omnicomm.pegasus.messaging.settings.movement;

public final class VelocityStateDefinitionSettingsParser {
  private VelocityStateDefinitionSettingsParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class VelocityStateDefinitionSettings extends
      com.google.protobuf.GeneratedMessage {
    // Use VelocityStateDefinitionSettings.newBuilder() to construct.
    private VelocityStateDefinitionSettings() {
      initFields();
    }
    private VelocityStateDefinitionSettings(boolean noInit) {}
    
    private static final VelocityStateDefinitionSettings defaultInstance;
    public static VelocityStateDefinitionSettings getDefaultInstance() {
      return defaultInstance;
    }
    
    public VelocityStateDefinitionSettings getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 518];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 518;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 valueMIN = 101;
    public static final int VALUEMIN_FIELD_NUMBER = 101;
    private boolean hasValueMIN;
    private int valueMIN_ = 0;
    public boolean hasValueMIN() { return hasValueMIN; }
    public int getValueMIN() { return valueMIN_; }
    
    // optional int32 valueMAX = 102;
    public static final int VALUEMAX_FIELD_NUMBER = 102;
    private boolean hasValueMAX;
    private int valueMAX_ = 0;
    public boolean hasValueMAX() { return hasValueMAX; }
    public int getValueMAX() { return valueMAX_; }
    
    // optional int32 idleMAX = 103;
    public static final int IDLEMAX_FIELD_NUMBER = 103;
    private boolean hasIdleMAX;
    private int idleMAX_ = 0;
    public boolean hasIdleMAX() { return hasIdleMAX; }
    public int getIdleMAX() { return idleMAX_; }
    
    // optional int32 timeInterval = 104;
    public static final int TIMEINTERVAL_FIELD_NUMBER = 104;
    private boolean hasTimeInterval;
    private int timeInterval_ = 0;
    public boolean hasTimeInterval() { return hasTimeInterval; }
    public int getTimeInterval() { return timeInterval_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasValueMIN()) {
        output.writeInt32(101, getValueMIN());
      }
      if (hasValueMAX()) {
        output.writeInt32(102, getValueMAX());
      }
      if (hasIdleMAX()) {
        output.writeInt32(103, getIdleMAX());
      }
      if (hasTimeInterval()) {
        output.writeInt32(104, getTimeInterval());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasValueMIN()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, getValueMIN());
      }
      if (hasValueMAX()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(102, getValueMAX());
      }
      if (hasIdleMAX()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(103, getIdleMAX());
      }
      if (hasTimeInterval()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(104, getTimeInterval());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasValueMIN()) {
          setValueMIN(other.getValueMIN());
        }
        if (other.hasValueMAX()) {
          setValueMAX(other.getValueMAX());
        }
        if (other.hasIdleMAX()) {
          setIdleMAX(other.getIdleMAX());
        }
        if (other.hasTimeInterval()) {
          setTimeInterval(other.getTimeInterval());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 808: {
              setValueMIN(input.readInt32());
              break;
            }
            case 816: {
              setValueMAX(input.readInt32());
              break;
            }
            case 824: {
              setIdleMAX(input.readInt32());
              break;
            }
            case 832: {
              setTimeInterval(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 518];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 518;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 valueMIN = 101;
      public boolean hasValueMIN() {
        return result.hasValueMIN();
      }
      public int getValueMIN() {
        return result.getValueMIN();
      }
      public Builder setValueMIN(int value) {
        result.hasValueMIN = true;
        result.valueMIN_ = value;
        return this;
      }
      public Builder clearValueMIN() {
        result.hasValueMIN = false;
        result.valueMIN_ = 0;
        return this;
      }
      
      // optional int32 valueMAX = 102;
      public boolean hasValueMAX() {
        return result.hasValueMAX();
      }
      public int getValueMAX() {
        return result.getValueMAX();
      }
      public Builder setValueMAX(int value) {
        result.hasValueMAX = true;
        result.valueMAX_ = value;
        return this;
      }
      public Builder clearValueMAX() {
        result.hasValueMAX = false;
        result.valueMAX_ = 0;
        return this;
      }
      
      // optional int32 idleMAX = 103;
      public boolean hasIdleMAX() {
        return result.hasIdleMAX();
      }
      public int getIdleMAX() {
        return result.getIdleMAX();
      }
      public Builder setIdleMAX(int value) {
        result.hasIdleMAX = true;
        result.idleMAX_ = value;
        return this;
      }
      public Builder clearIdleMAX() {
        result.hasIdleMAX = false;
        result.idleMAX_ = 0;
        return this;
      }
      
      // optional int32 timeInterval = 104;
      public boolean hasTimeInterval() {
        return result.hasTimeInterval();
      }
      public int getTimeInterval() {
        return result.getTimeInterval();
      }
      public Builder setTimeInterval(int value) {
        result.hasTimeInterval = true;
        result.timeInterval_ = value;
        return this;
      }
      public Builder clearTimeInterval() {
        result.hasTimeInterval = false;
        result.timeInterval_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettings)
    }
    
    static {
      defaultInstance = new VelocityStateDefinitionSettings(true);
      ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettings)
  }
  
  public static final class VelocityStateDefinitionBuffer extends
      com.google.protobuf.GeneratedMessage {
    // Use VelocityStateDefinitionBuffer.newBuilder() to construct.
    private VelocityStateDefinitionBuffer() {
      initFields();
    }
    private VelocityStateDefinitionBuffer(boolean noInit) {}
    
    private static final VelocityStateDefinitionBuffer defaultInstance;
    public static VelocityStateDefinitionBuffer getDefaultInstance() {
      return defaultInstance;
    }
    
    public VelocityStateDefinitionBuffer getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_fieldAccessorTable;
    }
    
    public static final class Data extends
        com.google.protobuf.GeneratedMessage {
      // Use Data.newBuilder() to construct.
      private Data() {
        initFields();
      }
      private Data(boolean noInit) {}
      
      private static final Data defaultInstance;
      public static Data getDefaultInstance() {
        return defaultInstance;
      }
      
      public Data getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_fieldAccessorTable;
      }
      
      // optional int32 dataId = 1;
      public static final int DATAID_FIELD_NUMBER = 1;
      private boolean hasDataId;
      private int dataId_ = 0;
      public boolean hasDataId() { return hasDataId; }
      public int getDataId() { return dataId_; }
      
      // optional int32 value = 2;
      public static final int VALUE_FIELD_NUMBER = 2;
      private boolean hasValue;
      private int value_ = 0;
      public boolean hasValue() { return hasValue; }
      public int getValue() { return value_; }
      
      private void initFields() {
      }
      public final boolean isInitialized() {
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (hasDataId()) {
          output.writeInt32(1, getDataId());
        }
        if (hasValue()) {
          output.writeInt32(2, getValue());
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (hasDataId()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(1, getDataId());
        }
        if (hasValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(2, getValue());
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder> {
        private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data result;
        
        // Construct using ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.newBuilder()
        private Builder() {}
        
        private static Builder create() {
          Builder builder = new Builder();
          builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data();
          return builder;
        }
        
        protected ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data internalGetResult() {
          return result;
        }
        
        public Builder clear() {
          if (result == null) {
            throw new IllegalStateException(
              "Cannot call clear() after build().");
          }
          result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data();
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(result);
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.getDefaultInstance();
        }
        
        public boolean isInitialized() {
          return result.isInitialized();
        }
        public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data build() {
          if (result != null && !isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return buildPartial();
        }
        
        private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          if (!isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return buildPartial();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data buildPartial() {
          if (result == null) {
            throw new IllegalStateException(
              "build() has already been called on this Builder.");
          }
          ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data returnMe = result;
          result = null;
          return returnMe;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data other) {
          if (other == ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.getDefaultInstance()) return this;
          if (other.hasDataId()) {
            setDataId(other.getDataId());
          }
          if (other.hasValue()) {
            setValue(other.getValue());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  return this;
                }
                break;
              }
              case 8: {
                setDataId(input.readInt32());
                break;
              }
              case 16: {
                setValue(input.readInt32());
                break;
              }
            }
          }
        }
        
        
        // optional int32 dataId = 1;
        public boolean hasDataId() {
          return result.hasDataId();
        }
        public int getDataId() {
          return result.getDataId();
        }
        public Builder setDataId(int value) {
          result.hasDataId = true;
          result.dataId_ = value;
          return this;
        }
        public Builder clearDataId() {
          result.hasDataId = false;
          result.dataId_ = 0;
          return this;
        }
        
        // optional int32 value = 2;
        public boolean hasValue() {
          return result.hasValue();
        }
        public int getValue() {
          return result.getValue();
        }
        public Builder setValue(int value) {
          result.hasValue = true;
          result.value_ = value;
          return this;
        }
        public Builder clearValue() {
          result.hasValue = false;
          result.value_ = 0;
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer.Data)
      }
      
      static {
        defaultInstance = new Data(true);
        ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internalForceInit();
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer.Data)
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 519];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 519;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 valueMIN = 101;
    public static final int VALUEMIN_FIELD_NUMBER = 101;
    private boolean hasValueMIN;
    private int valueMIN_ = 0;
    public boolean hasValueMIN() { return hasValueMIN; }
    public int getValueMIN() { return valueMIN_; }
    
    // optional int32 valueMAX = 102;
    public static final int VALUEMAX_FIELD_NUMBER = 102;
    private boolean hasValueMAX;
    private int valueMAX_ = 0;
    public boolean hasValueMAX() { return hasValueMAX; }
    public int getValueMAX() { return valueMAX_; }
    
    // optional int32 idleMAX = 103;
    public static final int IDLEMAX_FIELD_NUMBER = 103;
    private boolean hasIdleMAX;
    private int idleMAX_ = 0;
    public boolean hasIdleMAX() { return hasIdleMAX; }
    public int getIdleMAX() { return idleMAX_; }
    
    // optional int32 timeInterval = 104;
    public static final int TIMEINTERVAL_FIELD_NUMBER = 104;
    private boolean hasTimeInterval;
    private int timeInterval_ = 0;
    public boolean hasTimeInterval() { return hasTimeInterval; }
    public int getTimeInterval() { return timeInterval_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer.Data buffer = 105;
    public static final int BUFFER_FIELD_NUMBER = 105;
    private java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data> buffer_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data> getBufferList() {
      return buffer_;
    }
    public int getBufferCount() { return buffer_.size(); }
    public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data getBuffer(int index) {
      return buffer_.get(index);
    }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasValueMIN()) {
        output.writeInt32(101, getValueMIN());
      }
      if (hasValueMAX()) {
        output.writeInt32(102, getValueMAX());
      }
      if (hasIdleMAX()) {
        output.writeInt32(103, getIdleMAX());
      }
      if (hasTimeInterval()) {
        output.writeInt32(104, getTimeInterval());
      }
      for (ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data element : getBufferList()) {
        output.writeMessage(105, element);
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasValueMIN()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, getValueMIN());
      }
      if (hasValueMAX()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(102, getValueMAX());
      }
      if (hasIdleMAX()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(103, getIdleMAX());
      }
      if (hasTimeInterval()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(104, getTimeInterval());
      }
      for (ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data element : getBufferList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(105, element);
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.buffer_ != java.util.Collections.EMPTY_LIST) {
          result.buffer_ =
            java.util.Collections.unmodifiableList(result.buffer_);
        }
        ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasValueMIN()) {
          setValueMIN(other.getValueMIN());
        }
        if (other.hasValueMAX()) {
          setValueMAX(other.getValueMAX());
        }
        if (other.hasIdleMAX()) {
          setIdleMAX(other.getIdleMAX());
        }
        if (other.hasTimeInterval()) {
          setTimeInterval(other.getTimeInterval());
        }
        if (!other.buffer_.isEmpty()) {
          if (result.buffer_.isEmpty()) {
            result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data>();
          }
          result.buffer_.addAll(other.buffer_);
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 808: {
              setValueMIN(input.readInt32());
              break;
            }
            case 816: {
              setValueMAX(input.readInt32());
              break;
            }
            case 824: {
              setIdleMAX(input.readInt32());
              break;
            }
            case 832: {
              setTimeInterval(input.readInt32());
              break;
            }
            case 842: {
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.Builder subBuilder = ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addBuffer(subBuilder.buildPartial());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 519];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 519;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 valueMIN = 101;
      public boolean hasValueMIN() {
        return result.hasValueMIN();
      }
      public int getValueMIN() {
        return result.getValueMIN();
      }
      public Builder setValueMIN(int value) {
        result.hasValueMIN = true;
        result.valueMIN_ = value;
        return this;
      }
      public Builder clearValueMIN() {
        result.hasValueMIN = false;
        result.valueMIN_ = 0;
        return this;
      }
      
      // optional int32 valueMAX = 102;
      public boolean hasValueMAX() {
        return result.hasValueMAX();
      }
      public int getValueMAX() {
        return result.getValueMAX();
      }
      public Builder setValueMAX(int value) {
        result.hasValueMAX = true;
        result.valueMAX_ = value;
        return this;
      }
      public Builder clearValueMAX() {
        result.hasValueMAX = false;
        result.valueMAX_ = 0;
        return this;
      }
      
      // optional int32 idleMAX = 103;
      public boolean hasIdleMAX() {
        return result.hasIdleMAX();
      }
      public int getIdleMAX() {
        return result.getIdleMAX();
      }
      public Builder setIdleMAX(int value) {
        result.hasIdleMAX = true;
        result.idleMAX_ = value;
        return this;
      }
      public Builder clearIdleMAX() {
        result.hasIdleMAX = false;
        result.idleMAX_ = 0;
        return this;
      }
      
      // optional int32 timeInterval = 104;
      public boolean hasTimeInterval() {
        return result.hasTimeInterval();
      }
      public int getTimeInterval() {
        return result.getTimeInterval();
      }
      public Builder setTimeInterval(int value) {
        result.hasTimeInterval = true;
        result.timeInterval_ = value;
        return this;
      }
      public Builder clearTimeInterval() {
        result.hasTimeInterval = false;
        result.timeInterval_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer.Data buffer = 105;
      public java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data> getBufferList() {
        return java.util.Collections.unmodifiableList(result.buffer_);
      }
      public int getBufferCount() {
        return result.getBufferCount();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data getBuffer(int index) {
        return result.getBuffer(index);
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.buffer_.set(index, value);
        return this;
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.Builder builderForValue) {
        result.buffer_.set(index, builderForValue.build());
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data>();
        }
        result.buffer_.add(value);
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.Builder builderForValue) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data>();
        }
        result.buffer_.add(builderForValue.build());
        return this;
      }
      public Builder addAllBuffer(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data> values) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data>();
        }
        super.addAll(values, result.buffer_);
        return this;
      }
      public Builder clearBuffer() {
        result.buffer_ = java.util.Collections.emptyList();
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer)
    }
    
    static {
      defaultInstance = new VelocityStateDefinitionBuffer(true);
      ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionBuffer)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\035VelocityStateDefinition.proto\022/ru.omni" +
      "comm.pegasus.messaging.settings.movement" +
      "\"\255\001\n\037VelocityStateDefinitionSettings\022\020\n\010" +
      "sourceId\030\001 \002(\005\022\030\n\013messageType\030\002 \001(\005:\003518" +
      "\022\023\n\013messageTime\030\003 \002(\005\022\020\n\010valueMIN\030e \001(\005\022" +
      "\020\n\010valueMAX\030f \001(\005\022\017\n\007idleMAX\030g \001(\005\022\024\n\014ti" +
      "meInterval\030h \001(\005\"\267\002\n\035VelocityStateDefini" +
      "tionBuffer\022\020\n\010sourceId\030\001 \002(\005\022\030\n\013messageT" +
      "ype\030\002 \001(\005:\003519\022\023\n\013messageTime\030\003 \002(\005\022\020\n\010v" +
      "alueMIN\030e \001(\005\022\020\n\010valueMAX\030f \001(\005\022\017\n\007idleM",
      "AX\030g \001(\005\022\024\n\014timeInterval\030h \001(\005\022c\n\006buffer" +
      "\030i \003(\0132S.ru.omnicomm.pegasus.messaging.s" +
      "ettings.movement.VelocityStateDefinition" +
      "Buffer.Data\032%\n\004Data\022\016\n\006dataId\030\001 \001(\005\022\r\n\005v" +
      "alue\030\002 \001(\005BX\n/ru.omnicomm.pegasus.messag" +
      "ing.settings.movementB%VelocityStateDefi" +
      "nitionSettingsParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionSettings_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "ValueMIN", "ValueMAX", "IdleMAX", "TimeInterval", },
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.class,
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionSettings.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "ValueMIN", "ValueMAX", "IdleMAX", "TimeInterval", "Buffer", },
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.class,
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_VelocityStateDefinitionBuffer_Data_descriptor,
              new java.lang.String[] { "DataId", "Value", },
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.class,
              ru.omnicomm.pegasus.messaging.settings.movement.VelocityStateDefinitionSettingsParser.VelocityStateDefinitionBuffer.Data.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
